Bug 851920 - (CVE-2012-3967, CVE-2012-3968) CVE-2012-3967 CVE-2012-3968 Mozilla: WebGL use-after-free and memory corruption (MFSA 2012-62)
CVE-2012-3967 CVE-2012-3968 Mozilla: WebGL use-after-free and memory corrupti...
Status: CLOSED ERRATA
Product: Security Response
Classification: Other
Component: vulnerability (Show other bugs)
unspecified
All Linux
urgent Severity urgent
: ---
: ---
Assigned To: Red Hat Product Security
impact=critical,public=20120828,repor...
: Security
Depends On:
Blocks: 847589
  Show dependency treegraph
 
Reported: 2012-08-26 23:48 EDT by Huzaifa S. Sidhpurwala
Modified: 2014-08-29 12:56 EDT (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-08-29 01:27:53 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Huzaifa S. Sidhpurwala 2012-08-26 23:48:44 EDT
Security researcher miaubiz used the Address Sanitizer tool to discover two WebGL issues. The first issue is a use-after-free when WebGL shaders are called after being destroyed. The second issue exposes a problem with Mesa drivers on Linux, leading to a potentially exploitable crash. 

Reference:
http://www.mozilla.org/security/announce/2012/mfsa2012-62.html

Acknowledgements:

Red Hat would like to thank the Mozilla project for reporting this issue. Upstream acknowledges miaubiz as the original reporter of this flaw.
Comment 1 errata-xmlrpc 2012-08-29 00:24:09 EDT
This issue has been addressed in following products:

  Red Hat Enterprise Linux 5
  Red Hat Enterprise Linux 6

Via RHSA-2012:1211 https://rhn.redhat.com/errata/RHSA-2012-1211.html
Comment 2 errata-xmlrpc 2012-08-29 00:44:37 EDT
This issue has been addressed in following products:

  Red Hat Enterprise Linux 6
  Red Hat Enterprise Linux 5

Via RHSA-2012:1210 https://rhn.redhat.com/errata/RHSA-2012-1210.html

Note You need to log in before you can comment on or make changes to this bug.